aboutsummaryrefslogtreecommitdiffstats
path: root/unstable/setuptools/APKBUILD
diff options
context:
space:
mode:
authorMichael Mason <ms13sp@gmail.com>2009-10-13 21:02:57 +0000
committerMichael Mason <ms13sp@gmail.com>2009-10-13 21:02:57 +0000
commite092d1df05f32edf17a4c9d5c0aa2050e238ceb5 (patch)
tree2ec512b3ee3674ff225464cfc6e534c0dc8efb0d /unstable/setuptools/APKBUILD
parent996f4062c5e06084b0412fb6dc003d5cf32cf1c0 (diff)
downloadaports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.gz
aports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.bz2
aports-e092d1df05f32edf17a4c9d5c0aa2050e238ceb5.tar.xz
unstable genshi trac setuptools Initial commit
Diffstat (limited to 'unstable/setuptools/APKBUILD')
-rw-r--r--unstable/setuptools/APKBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/unstable/setuptools/APKBUILD b/unstable/setuptools/APKBUILD
new file mode 100644
index 0000000000..c7c5899b4c
--- /dev/null
+++ b/unstable/setuptools/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Michael Mason <ms13sp@gmail.com>
+# Maintainer: Michael Mason <ms13sp@gmail.com>
+pkgname=setuptools
+_altname=distribute
+pkgver=0.6.4
+pkgrel=0
+pkgdesc=""
+url="http://pypi.python.org/pypi/distribute"
+license="PSF-2.2"
+depends="python"
+makedepends=""
+install=
+subpackages="$pkgname-dev $pkgname-doc"
+source="http://pypi.python.org/packages/source/d/distribute/$_altname-$pkgver.tar.gz"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+ cd "$srcdir"/$_altname-$pkgver
+
+ python setup.py build
+# make || return 1
+# make DESTDIR="$pkgdir" install
+
+}
+
+md5sums="7a963679fddc64a0e363b2ccf8024952 distribute-0.6.4.tar.gz"